Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	K Desktop Environment - Libraries
Name:      	kdelibs3
Version:   	3.5.10
Release:   	1
License: 	LGPL
URL:		http://www.kde.org
Group:     	Graphical Desktop/KDE       
Source0: 	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdelibs-%{version}.tar.bz2
Source1: 	kde.sh
Source2: 	kde.csh
Source3: 	devices.protocol
Source20:	kmenu_128.png
Source21:	kmenu_16.png
Source22:	kmenu_22.png
Source23:	kmenu_32.png
Source24:	kmenu_48.png
Source25:	kmenu_64.png
Source30:	kde.conf
Patch2: 	kdelibs-3.0.0-ndebug.patch
Patch4: 	kdelibs-3.0.4-ksyscoca.patch
Patch15: 	kdelibs-3.4.91-buildroot.patch
Patch16: 	kdelibs-3.1-ssl-krb5.patch
Patch24: 	kdelibs-3.1-libtool.patch
Patch32: 	kdelibs-3.2.3-cups.patch
Patch35: 	kdelibs-3.4.92-inttype.patch
Patch37: 	kdelibs-3.5.2-kdebug-kmail-quiet.patch
Patch38: 	kdelibs-3.5.2-cupsdconf2-group.patch
# initial support for (Only|Not)ShowIn=KDE3
Patch52: 	kdelibs-3.5.9-KDE3.patch
# use /usr/libexec/kde4/drkonqi in KCrash
Patch53: 	kdelibs-3.5.9-drkonqi-kde4.patch
# use /etc/kde in addition to /usr/share/config, borrowed from debian
Patch100: 	kdelibs-3.5.5-kstandarddirs.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildConflicts:	unsermake
Requires: 	arts >= 1.5.4
Requires: 	qt3 >= 3.3.8b
Requires: 	cups libacl
Requires(pre): coreutils
Requires(post): /sbin/ldconfig
Requires(post): desktop-file-utils
Requires(postun): /sbin/ldconfig
Requires(postun): desktop-file-utils

BuildRequires: 	gettext
BuildRequires: 	pcre-devel
BuildRequires: 	cups-devel
BuildRequires: 	cups
BuildRequires: 	qt3-devel >= 3.3.8b
BuildRequires: 	flex
BuildRequires: 	doxygen
BuildRequires: 	libxslt-devel
BuildRequires: 	sgml-common
BuildRequires: 	openjade
BuildRequires: 	docbook-sgml-dtd3
BuildRequires: 	zlib-devel
BuildRequires: 	libidn-devel
BuildRequires: 	arts-devel >= 1.5.4
BuildRequires: 	audiofile-devel
BuildRequires: 	openssl-devel
BuildRequires: 	perl
BuildRequires: 	gawk
#BuildRequires: 	byacc
BuildRequires: 	libart_lgpl-devel
BuildRequires: 	bzip2-devel
BuildRequires: 	libtiff-devel
BuildRequires: 	autoconf
BuildRequires: 	automake
#BuildRequires: libacl-devel
#BuildRequires: libattr-devel
BuildRequires: 	aspell-devel
BuildRequires: 	krb5-devel
BuildRequires: 	openldap-devel
BuildRequires: 	db-devel
BuildRequires: 	alsa-lib-devel
BuildRequires: 	pkg-config
BuildRequires: 	linux-libc-headers
BuildRequires:	gamin-devel
BuildRequires:	libacl-devel
BuildRequires:  libtasn1-devel
BuildRequires:	libgpg-error-devel
Icon: 		kde-icon.xpm

#KDE4
Requires:	kdelibs4-common
%if 0%{?kdeui_symlink}
# for %_kde4_* macros
BuildRequires: kde4-macros(api) 
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
%endif


%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kio (Input/Output, networking),
kspell (spelling checker), jscript (javascript), kab (addressbook),
kimgio (image manipulation).

%package devel
Summary: 	Header files and documentation for compiling KDE applications.
Group:     	Graphical Desktop/KDE          
Requires: 	qt3-devel >= 3.3.6
Requires: 	%{name} = %{version}-%{release}
Requires: 	arts-devel
Requires: 	libart_lgpl-devel
Requires: 	libxslt-devel
Requires: 	libjpeg-devel
Requires: 	zlib-devel
Requires: 	openssl-devel
Requires: 	bzip2-devel
Requires: 	libtiff-devel
Requires: 	libidn-devel
Requires: 	pcre-devel fam-devel

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%package apidocs
Group: 		Development/Documentation
Summary:	KDE API documentation.
Requires: 	%{name} = %{version}-%{release}

%description apidocs
This package includes the KDE API documentation in HTML
format for easy browsing

/sbin/ldconfig
%if 0%{?include_crystalsvg}
touch --no-create %{_datadir}/icons/crystalsvg 2> /dev/null || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg 2> /dev/null || :
%endif
%{_bindir}/update-desktop-database > /dev/null 2>&1 || :
%if 0%{?kdeui_symlink}
rm -rf %{_datadir}/apps/kdeui.rpm_remove ||:

%pre
test -d %{_datadir}/apps/kdeui -a ! -L %{_datadir}/apps/kdeui && \
  mv %{_datadir}/apps/kdeui %{_datadir}/apps/kdeui.rpm_remove ||:
%endif

%postun
/sbin/ldconfig
%if 0%{?include_crystalsvg}
touch --no-create %{_datadir}/icons/crystalsvg 2> /dev/null || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg 2> /dev/null || :
%endif
%{_bindir}/update-desktop-database > /dev/null 2>&1 || :


%prep
%setup -q -n kdelibs-%{version}
%patch2 -p1 -b .debug
%patch4 -p1 -b .ksyscoca
%patch15 -p1 -b .buildroot
%patch16 -p1 -b .ssl-krb5
%patch24 -p1 -b .libtool
%patch32 -p1 -b .cups
%patch35 -p1 -b .inttype
%patch37 -p1 -b .kdebug-kmail-quiet
%patch38 -p1 -b .cupsdconf2-group
#%patch39 -p1 -b .cups13
%patch52 -p1
%patch53 -p1
%patch100 -p1

sed -i -e "s,^#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING \"%{version}-%{release} CCux\"," kdecore/kdeversion.h

%build
unset QTDIR && . /etc/profile.d/qt.sh

export QTDOC=%{qt3_docdir}
export LDFLAGS="$LDFLAGS -L/usr/lib/qt-3.3/lib"

%configure \
   --includedir=%{_includedir}/kde \
   --disable-rpath \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-debug --disable-warnings --enable-final \
   --disable-fast-malloc \
   --enable-cups \
   --enable-mitshm \
   --enable-pie \
   --enable-sendfile \
   --with-distribution="CCux Linux" \
   --with-alsa \
   --without-hspell \
   --disable-libfam \
   --enable-dnotify \
   --enable-inotify \
   --with-jasper \
   --with-openexr \
   --with-xinerama

make %{?_smp_mflags}

make %{?_smp_mflags} apidox

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

chmod a+x %{buildroot}%{_libdir}/*
install -p -m 644 %{SOURCE3} %{buildroot}%{_datadir}/services/devices.protocol

pushd $RPM_BUILD_ROOT%{_docdir}
ln -sf HTML/en/kdelibs-apidocs %{name}-devel-3
popd

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -sf ../common $i
   fi
done
popd

#Install CCux kmenu buttons
install -m 644 %{SOURCE20} $RPM_BUILD_ROOT/%{_datadir}/icons/crystalsvg/128x128/apps/kmenu.png
install -m 644 %{SOURCE21} $RPM_BUILD_ROOT/%{_datadir}/icons/crystalsvg/16x16/apps/kmenu.png
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT/%{_datadir}/icons/crystalsvg/22x22/apps/kmenu.png
install -m 644 %{SOURCE23} $RPM_BUILD_ROOT/%{_datadir}/icons/crystalsvg/32x32/apps/kmenu.png
install -m 644 %{SOURCE24} $RPM_BUILD_ROOT/%{_datadir}/icons/crystalsvg/48x48/apps/kmenu.png
install -m 644 %{SOURCE25} $RPM_BUILD_ROOT/%{_datadir}/icons/crystalsvg/64x64/apps/kmenu.png

#ldconfig
#install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/ld.so.conf.d
#install -m 644 %{SOURCE30} $RPM_BUILD_ROOT%_sysconfdir/ld.so.conf.d

install -p -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/kde.sh
install -p -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/kde.csh

rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/

# ghost'd files
touch $RPM_BUILD_ROOT%{_datadir}/services/ksycoca

# remove conflicts with kdelibs-4
rm -f %{buildroot}%{_bindir}/checkXML
rm -f %{buildroot}%{_bindir}/ksvgtopng
rm -f %{buildroot}%{_bindir}/kunittestmodrunner
rm -f %{buildroot}%{_datadir}/config/kdebug.areas
rm -f %{buildroot}%{_datadir}/config/kdebugrc
rm -f %{buildroot}%{_datadir}/config/ui/ui_standards.rc
rm -f %{buildroot}%{_docdir}/HTML/en/common/1.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/10.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/2.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/3.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/4.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/5.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/6.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/7.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/8.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/9.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/artistic-license.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/bottom-left.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/bottom-middle.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/bottom-right.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/bsd-license.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/doxygen.css
rm -f %{buildroot}%{_docdir}/HTML/en/common/favicon.ico
rm -f %{buildroot}%{_docdir}/HTML/en/common/fdl-license
rm -f %{buildroot}%{_docdir}/HTML/en/common/fdl-license.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/fdl-notice.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/footer.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/gpl-license
rm -f %{buildroot}%{_docdir}/HTML/en/common/gpl-license.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/header.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/kde-default.css
rm -f %{buildroot}%{_docdir}/HTML/en/common/kde_logo_bg.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/lgpl-license
rm -f %{buildroot}%{_docdir}/HTML/en/common/lgpl-license.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/mainfooter.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/mainheader.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/qpl-license.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/top-left.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/top-middle.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/top-right-konqueror.png
rm -f %{buildroot}%{_docdir}/HTML/en/common/top-right.jpg
rm -f %{buildroot}%{_docdir}/HTML/en/common/x11-license.html
rm -f %{buildroot}%{_docdir}/HTML/en/common/xml.dcl
rm -rf %{buildroot}%{_datadir}/locale/all_languages
rm -rf %{buildroot}%{_sysconfdir}/xdg/menus/
rm -rf %{buildroot}%{_datadir}/autostart/
# don't show kresources
sed -i -e "s,^OnlyShowIn=KDE;,OnlyShowIn=KDE3;," %{buildroot}%{_datadir}/applications/kde/kresources.desktop 

%if 0%{?kdeui_symlink}
# kdeui for kde3, kinda workaround http://bugs.kde.org/157850
# and save space by sharing
rm -rf %{buildroot}%{_datadir}/apps/kdeui/
ln -s  %{_kde4_appsdir}/kdeui %{buildroot}%{_datadir}/apps/kdeui
%endif

%files
%defattr(-,root,root,-)
%doc README
%doc COPYING.LIB
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_bindir}/artsmessage
%{_bindir}/cupsdconf
%{_bindir}/cupsdoprint
%{_bindir}/dcop
%{_bindir}/dcopclient
%{_bindir}/dcopfind
%{_bindir}/dcopobject
%{_bindir}/dcopquit
%{_bindir}/dcopref
%{_bindir}/dcopserver
%{_bindir}/dcopserver_shutdown
%{_bindir}/dcopstart
%{_bindir}/filesharelist
%{_bindir}/fileshareset
%{_bindir}/imagetops
%{_bindir}/kab2kabc
%{_bindir}/kaddprinterwizard
%{_bindir}/kbuildsycoca
%{_bindir}/kcmshell
%{_bindir}/kconf_update
%{_bindir}/kcookiejar
%{_bindir}/kde-config
%{_bindir}/kde-menu
%{_bindir}/kded
%{_bindir}/kdeinit
%{_bindir}/kdeinit_shutdown
%{_bindir}/kdeinit_wrapper
%{_bindir}/kdesu_stub
%{_bindir}/kdontchangethehostname
%{_bindir}/kdostartupconfig
%{_bindir}/kfile
%{_bindir}/kfmexec
%{_bindir}/khotnewstuff
%{_bindir}/kinstalltheme
%{_bindir}/kio_http_cache_cleaner
%{_bindir}/kio_uiserver
%{_bindir}/kioexec
%{_bindir}/kioslave
%{_bindir}/klauncher
%{_bindir}/kmailservice
%attr(4755,root,root) %{_bindir}/kpac_dhcp_helper
%{_bindir}/ksendbugmail
%{_bindir}/kshell
%{_bindir}/kstartupconfig
%{_bindir}/ktelnetservice
%{_bindir}/ktradertest
%{_bindir}/kwrapper
%{_bindir}/lnusertemp
%{_bindir}/make_driver_db_cups
%{_bindir}/make_driver_db_lpr
%{_bindir}/meinproc
%{_bindir}/preparetips
%{_bindir}/start_kdeinit
%{_bindir}/start_kdeinit_wrapper
%attr(4755,root,root) %{_bindir}/kgrantpty
%{_libdir}/lib*.so.*
%{_libdir}/libkdeinit_*.so
%{_libdir}/lib*.la
%{_libdir}/kde3/
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/*
%exclude %{_datadir}/apps/ksgmltools2/
%exclude %{_datadir}/apps/kdewidgets/
%exclude %{_libdir}/kde3/plugins/designer/kdewidgets.*
%config(noreplace) %{_datadir}/config/*
%{_datadir}/emoticons/*
%{_datadir}/icons/default.kde
%{_datadir}/mimelnk/magic
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%ghost %{_datadir}/services/ksycoca
%{_docdir}/HTML/en/kspell
%{_docdir}/HTML/en/common/*
#%if 0%{?include_crystalsvg}
%{_datadir}/icons/crystalsvg/
#%endif

%files devel
%defattr(-,root,root,-)
%{_bindir}/dcopidl*
%{_bindir}/kconfig_compiler
%{_bindir}/makekdewidgets
%{_datadir}/apps/kdewidgets/
%dir %{_libdir}/kde3/plugins/designer
%{_libdir}/kde3/plugins/designer/kdewidgets.*
%{_datadir}/apps/ksgmltools2/
%{_includedir}/kde/
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%exclude %{_libdir}/libkdeinit_*.so


%files apidocs
%defattr(-,root,root)
%doc %{_docdir}/%{name}-devel-3
%doc %{_docdir}/HTML/en/kdelibs*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.10-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 3.5.9-4
- renamed package
* Wed Jul 30 2008 Christian Metzen <metzench@ccux-linux.de> 3.5.9-3
- rebuild against qt 3.3.8b
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 3.5.9-2
- moved prefix to /usr
* Sun Feb 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.5.9-1
- Version update
* Fri Jan 25 2008 Christian Metzen <metzench@ccux-linux.de> 3.5.8-3
- rebuild against gcc 4.1.2
* Fri Dec 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-2
- rebuilt against glibc 2.7
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.8-1
- Version update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.7-2
- rebuilt against openssl 0.9.8e, krb5 1.6.2, cups 1.3.3
* Tue May 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.7-1
- Version update
* Sun May 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-3
- changed default malloc behaviour (fixes gslice clash bug)
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-2
- rebuilt against dbus 1.0.1, hal 0.5.8.1
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.5.6-1
- Version update
* Sun Jan 07 2007 Christian Metzen <metzench@ccux-linux.de> 3.5.5-2
- added ld conf file, libacl dep
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.5-1
- Version update
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.4-3
- Moved kmenu buttons to kdelibs
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.4-2
- adjusted requires for Xorg 7.1
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.4-1
- Version update
* Sun Apr 16 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.2-1
- Version update
* Fri Feb 10 2006 Christian Metzen <metzench@ccux-linux.de> 3.5.1-1
- Version update
* Fri Jan 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.0-5
- added security patch against javascript vulnerability
* Tue Jan 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5.0-4
- rebuilt against qt 3.3.5
* Fri Jan 06 2006 Christian Wasem <wasem@ccux-linux.de> 3.5.0-3
- rebuilt, tweaked specfile
* Fri Jan 06 2006 Stefan Gottwald <gotti@ccux-linux.de> 3.5.0-2
- added kicker crash patch
* Wed Nov 30 2005 Christian Metzen <metzench@ccux-linux.de> 3.5.0-1
- Version update
* Thu Oct 27 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.3-1
- Version update
* Sat Jul 30 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.2-1
- Version update
* Thu Jul 14 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.1-3
- Removed jack-audio dependency
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.4.1-2
- rebuilt against openssl 0.9.8, libstdc++ / gcc 3.4.4
* Thu Jun 16 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.1-1
- Version update to 3.4.1, added fam
* Fri May 06 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.0-3
- Added Security Patch from kde.org
* Mon Mar 28 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.0-2
- Added fonts Patch
* Fri Mar 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.4.0-1
- Version Update to 3.4.0
* Sat Feb 19 2005 Christian Metzen <metzench@ccux-linux.de> 3.3.2-3
- Recompilation against QT 3.3.4
* Fri Feb 11 2005 Christian Metzen <metzench@ccux-linux.de> 3.3.2-2
- Recompilation again Freetype 2.1.9, added some Bug Patches
* Fri Dec 10 2004 Christian Metzen <metzench@ccux-linux.de> 3.3.2-1
- Initial Release
